#
# spec file for package obs-service-tar_scm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without obs_scm_testsuite

Name:           obs-service-tar_scm
%define version_unconverted 0.7.0.1492101301.747de50
Version:        0.7.0.1492101301.747de50
Release:        7.1
Summary:        An OBS source service: create tar ball from svn/git/hg
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-tar_scm
Source:         %{name}-%{version}.tar.gz
# Fix build on Ubuntu by disabling mercurial tests, not applied in rpm
# based distributions
#Patch0:         0001-Debianization-disable-running-mercurial-tests.patch
%if %{with obs_scm_testsuite}
BuildRequires:  bzr
BuildRequires:  git-core
BuildRequires:  mercurial
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  PyYAML
%else
BuildRequires:  python-PyYAML
%endif
BuildRequires:  python-dateutil
BuildRequires:  python-lxml
BuildRequires:  python-mock
BuildRequires:  subversion
%endif
BuildRequires:  python >= 2.6
Requires:       bzr
Requires:       git-core
Requires:       mercurial
Requires:       obs-service-obs_scm-common = %version-%release
Requires:       subversion
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports downloading from svn, git, hg and bzr repositories.

%package -n     obs-service-obs_scm-common
Summary:        Common parts of SCM handling services
Group:          Development/Tools/Building
Requires:       python-dateutil
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
Requires:       PyYAML
%else
Requires:       python-PyYAML
%if 0%{?suse_version} < 1315
Requires:       python-argparse
%endif
%endif

%if 0%{?fedora_version} >= 25
Requires:       python2
%endif

%description -n obs-service-obs_scm-common

%package -n     obs-service-tar
Summary:        Creates a tar archive from local directory
Group:          Development/Tools/Building
Requires:       obs-service-obs_scm-common = %version-%release
Provides:       obs-service-tar_scm:/usr/lib/obs/service/tar.service

%description -n obs-service-tar
Creates a tar archive from local directory

%package -n     obs-service-obs_scm
Summary:        Creates a OBS cpio from a remote SCM resource
Group:          Development/Tools/Building
Provides:       obs-service-tar_scm:/usr/lib/obs/service/obs_scm.service
Requires:       bzr
Requires:       git-core
Requires:       mercurial
Requires:       obs-service-obs_scm-common = %version-%release
Requires:       subversion

%description -n obs-service-obs_scm
Creates a OBS cpio from a remote SCM resource.

This can be used to work directly in local git checkout and can be packaged
into a tar ball during build time.

%package -n     obs-service-appimage
Summary:        Handles source downloads defined in appimage.yml files
Group:          Development/Tools/Building
Requires:       bzr
Requires:       git-core
Requires:       mercurial
Requires:       obs-service-obs_scm-common = %version-%release
Requires:       subversion

%description -n obs-service-appimage
Experimental appimage support: This parses appimage.yml files for SCM
resources and packages them.

%package -n     obs-service-snapcraft
Summary:        Handles source downloads defined in snapcraft.yaml files
Group:          Development/Tools/Building
Provides:       obs-service-tar_scm:/usr/lib/obs/service/snapcraft.service
Requires:       bzr
Requires:       git-core
Requires:       mercurial
Requires:       obs-service-obs_scm-common = %version-%release
Requires:       subversion

%description -n obs-service-snapcraft
Experimental snapcraft support: This parses snapcraft.yaml files for SCM
resources and packages them.


%prep
%setup -q -n obs-service-tar_scm-%version

%build

%install
make install DESTDIR="%{buildroot}" PREFIX="%{_prefix}" SYSCFG="%{_sysconfdir}"

%if %{with obs_scm_testsuite}
%if 0%{?suse_version} >= 1220
%check
# No need to run PEP8 tests here; that would require a potentially
# brittle BuildRequires: python-pep8, and any style issues are already
# caught by Travis CI.
make test
%endif
%endif

%files
%defattr(-,root,root)
%{_prefix}/lib/obs/service/tar_scm.service

%files -n obs-service-obs_scm-common
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%{_prefix}/lib/obs/service/TarSCM
%{_prefix}/lib/obs/service/tar_scm
%dir %{_sysconfdir}/obs
%dir %{_sysconfdir}/obs/services
%config(noreplace) %{_sysconfdir}/obs/services/*

%files -n obs-service-tar
%defattr(-,root,root)
%{_prefix}/lib/obs/service/tar
%{_prefix}/lib/obs/service/tar.service

%files -n obs-service-obs_scm
%defattr(-,root,root)
%{_prefix}/lib/obs/service/obs_scm
%{_prefix}/lib/obs/service/obs_scm.service

%files -n obs-service-appimage
%defattr(-,root,root)
%{_prefix}/lib/obs/service/appimage*

%files -n obs-service-snapcraft
%defattr(-,root,root)
%{_prefix}/lib/obs/service/snapcraft*

%changelog
* Thu May 11 2017 marco.strigl@suse.com
- added Requires: python2 for Fedora >= 25
* Tue Apr 18 2017 fvogt@suse.com
- Only BuildRequire packages needed for testsuite if the testsuite
  is enabled
* Thu Apr 13 2017 adrian@suse.de
- Update to version 0.7.0.1492101301.747de50:
  * skip broken tests temporarily
* Thu Apr 13 2017 adrian@suse.de
- Update to version 0.7.0.1492095435.eda090e:
  * revision, repodir and repocachedir as attribute for TarSCM.<scm>
  * new class TarSCM.cli to make testing easier
  * testing script name more reliable
  * fixed arguments for singletask in case of snapcraft
  * refactored snapcraft code + first tests for snapcraft
  * added testcase for snapcraft finalize
  * split classes into several files
  * track module dependencies in requirements.txt
  * use unittest2 in Python 2.6
  * more testing for TarSCM.tasks
  * clone_dir/repodir/arch_dir(tar_dir)/args now attributes of scm objects
  * test case for save_run
  * major refactor of git cache handling
  * consolidation of archive.obscpio and archive.tar parameters
  * next test cases
  * unset CACHEDIRECTORY env variable in unit tests
  * update atime/mtime of repocachedir if already exists
  * prevent key errors when $HOME is not set
  * fix PEP8 problems and reenable PEP8 testing
  * keep checkout while running with osc
  * fix local checkout when running in osc
  * force remove of files while 'make clean'
  * fix: also exclude directories when called .git
  * fix problems with generatechanges when ~/.obs/tar_scm exists
  * initial appimage support
  * Provide version rewrite using a regex pattern and replacement.
  * new parameter --match-tag to filter tags
  * keep .gitlab/.github directories
* Thu Apr 13 2017 adrian@suse.de
- Update to version 0.7.0.1491998613.3890456:
  * refactor of detect_changes into classes
  * url as attribute of TarSCM.scm
  * run_cmd and safe_run moved into class helpers
  * combine os.path.join statement
  * refactoring fetch_upstream to be part of TarSCM.scm
  * new classes for archives
  * common method 'get_current_commit' to get rid of exception for git
  * refactored detect_changes to get rid of changesgenerate exception
  * get_repocachedir -> TarSCM.scm
  * Add description to the README.md file
* Wed Apr 12 2017 adrian@suse.de
- split services into own rpms
* Fri Mar 24 2017 adrian@suse.de
- Update to version 0.7.0.1490358243.8de854e:
  * keep .gitlab/.github directories
* Thu Mar 23 2017 adrian@suse.de
- Update to version 0.7.0.1490263157.682db30:
  * Provide version rewrite using a regex pattern and replacement.
  * initial appimage support
  * make pep8 happy again
  * test cases for version rewrite
  * new parameter --match-tag to filter tags
* Tue Feb 28 2017 dimstar@opensuse.org
- Replayce python-yaml Requires/Buildrequires with python-PyYAML,
  which is actually its correct name.
* Tue Jan 10 2017 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1484082405.7671be8:
  * fix problems with generatechanges when ~/.obs/tar_scm exists
* Wed Dec 14 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1481203567.804351a:
  * fix: also exclude directories when called .git
* Wed Dec  7 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1480953937.a4b8b09:
  * fix local checkout when running in osc
  * force remove of files while 'make clean'
* Thu Nov 24 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1480000004.4027270:
  * fixed pip8 problems
  * keep checkout while running with osc
* Fri Nov  4 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1478249268.e162c66:
  * prevent key errors when $HOME is not set
* Sun Oct 30 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1477858520.51a62fb:
  * added locking for cachedir in jailed mode
  * removed setup_tracking_branches and '--dissociate'
  * inital version of TarSCM classes
  * scm_object generation moved to singletask
  * FETCH_UPSTREAM_COMMANDS into classes
  * moved update_cache_* to classes
  * moved detect_version into classes and refactored calls of get_timestamp_*
  * moved get_timestamp functions into scm classes
  * git_ref_exists -> TarSCM.git._ref_exists
  * fetch_upstream_git_submodules -> fetch_submodules to get rid of exceptions for git
  * just moved some functions for better overview
  * refactor of detect_changes into classes
  * url as attribute of TarSCM.scm
  * run_cmd and safe_run moved into class helpers
  * combine os.path.join statement
  * refactoring fetch_upstream to be part of TarSCM.scm
  * new classes for archives
  * common method 'get_current_commit' to get rid of execption for git
  * refactored detect_changes to get rid of changesgenerate exception
  * get_repocachedir -> TarSCM.scm
  * revision, repodir and repocachedir as attribute for TarSCM.<scm>
  * new class TarSCM.cli to make testing easier
  * testing script name more reliable
  * fixed arguments for singletask in case of snapcraft
  * refactored snapcraft code + first tests for snapcraft
  * added testcase for snapcraft finalize
  * split classes into serveral files
  * more testing for TarSCM.tasks
  * clone_dir/repodir/arch_dir(tar_dir) now attributes of scm objects
  * test case for save_run
  * major refactor of git cache handling
  * consolidation of archive.obscpio and archive.tar parameters
  * next test cases
  * sytnax fix for "tar" service
  * fixed tests for tar
  * unset CACHEDIRECTORY env variable in unit tests
  * update atime/mtime of repocachedir if already exists
* Sun Oct 30 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1474270818.3e05f80:
  * 
* Thu Oct 27 2016 opensuse-packaging@opensuse.org
- Update to version 0.7.0.1477567374.d44d677:
  * use '--dissociate' for git if package-meta is set
  * added locking for cachedir in jailed mode
  * removed setup_tracking_branches and '--dissociate'
  * inital version of TarSCM classes
  * scm_object generation moved to singletask
  * FETCH_UPSTREAM_COMMANDS into classes
  * moved update_cache_* to classes
  * moved detect_version into classes and refactored calls of get_timestamp_*
  * moved get_timestamp functions into scm classes
  * git_ref_exists -> TarSCM.git._ref_exists
  * fetch_upstream_git_submodules -> fetch_submodules to get rid of exceptions for git
  * just moved some functions for better overview
  * refactor of detect_changes into classes
  * url as attribute of TarSCM.scm
  * run_cmd and safe_run moved into class helpers
  * combine os.path.join statement
  * refactoring fetch_upstream to be part of TarSCM.scm
  * new classes for archives
  * common method 'get_current_commit' to get rid of execption for git
  * refactored detect_changes to get rid of changesgenerate exception
  * get_repocachedir -> TarSCM.scm
  * revision, repodir and repocachedir as attribute for TarSCM.<scm>
  * new class TarSCM.cli to make testing easier
  * testing script name more reliable
  * fixed arguments for singletask in case of snapcraft
  * refactored snapcraft code + first tests for snapcraft
  * added testcase for snapcraft finalize
  * split classes into serveral files
  * more testing for TarSCM.tasks
  * clone_dir/repodir/arch_dir(tar_dir) now attributes of scm objects
  * test case for save_run
  * major refactor of git cache handling
  * consolidation of archive.obscpio and archive.tar parameters
  * next test cases
  * sytnax fix for "tar" service
* Thu Oct 27 2016 adrian@suse.de
- Update to version 0.7.0.1476904507.e88eed1:
  * fixed arguments for singletask in case of snapcraft
  * refactored snapcraft code + first tests for snapcraft
  * added testcase for snapcraft finalize
  * split classes into serveral files
  * more testing for TarSCM.tasks
  * clone_dir/repodir/arch_dir(tar_dir) now attributes of scm objects
  * test case for save_run
  * major refactor of git cache handling
  * consolidation of archive.obscpio and archive.tar parameters
  * next test cases
* Thu Sep 15 2016 adrian@suse.de
- Update to version 0.6.1.1473925745.c5264bb:
  * jailed mode for docker integration
  * added setup of remote branches in jailed mode
  * new handling for remote/local branches when caching
  * fix permission problem of .changes files when running jailed in docker
  * fix problem with outdated git refs in cache
* Wed Aug 31 2016 adrian@suse.de
- Update to version 0.6.1.1472657181.ff9a5ca:
  * make yaml dependency optional for travis
  * Add an option 'master' to submodules to fetch the latest mater branch.
  * tar_scm.py: Always use an absolute path for the 'output' directory
  * do not set files back to 1970...
  * transfer mtime via obsinfo
  * create needed sub directories for cache handling
  * prefer local cache directory
  * - weak dependency to mercurial for debian
  * add python-dateutil require for debian
  * testing on debian is broken atm
* Wed Aug 31 2016 adrian@suse.de
- Update to version 0.6.1.1472656157.58c52d8:
  * make yaml dependency optional for travis
  * Add an option 'master' to submodules to fetch the latest mater branch.
  * tar_scm.py: Always use an absolute path for the 'output' directory
  * do not set files back to 1970...
  * transfer mtime via obsinfo
  * create needed sub directories for cache handling
  * prefer local cache directory
  * - weak dependency to mercurial for debian
  * add python-dateutil require for debian
  * testing on debian is broken atm
* Wed Aug 31 2016 adrian@suse.de
- Update to version 0.6.1.1472655284.4930b81:
  * add python-dateutil require for debian
  * testing on debian is broken atm
* Wed Aug 31 2016 adrian@suse.de
- fix debian builds
* Wed Aug 31 2016 adrian@suse.de
- Update to version 0.6.1.1472636708.355b59a:
  * fix some more merge regressions
  * pep8 fixes/workarounds
  * make yaml dependency optional for travis
  * Add an option 'master' to submodules to fetch the latest mater branch.
  * tar_scm.py: Always use an absolute path for the 'output' directory
  * do not set files back to 1970...
  * transfer mtime via obsinfo
  * create needed sub directories for cache handling
  * prefer local cache directory
  * - weak dependency to mercurial for debian
* Fri Aug 19 2016 adrian@suse.de
- Update to version 0.6.1.1471594222.d257927:
  * prefer local cache directory
  * jailed mode for docker integration
  * added setup of remote branches in jailed mode
  * new handling for remote/local branches when caching
- cache handling will be refactored to have only one implementation
  in future.
* Wed Jul 27 2016 adrian@suse.de
- fix mtime handling
* Wed Jul 27 2016 adrian@suse.de
- Update to version 0.6.0.1469628830.67456b7:
  * pep8 fixes/workarounds
  * make yaml dependency optional for travis
  * Add an option 'master' to submodules to fetch the latest mater branch.
  * do not set files back to 1970...
  * transfer mtime via obsinfo
  * create needed sub directories for cache handling
* Thu Jul  7 2016 adrian@suse.de
- update to official version 0.6.0
  (latest package became official)
* Thu Jul  7 2016 adrian@suse.de
- Update to version 0.6.0.1467889501.49c9462:
  + very first obs_scm implementation
  + allow extracting of (spec) files
  + allow to include local changes when using "obs_scm" service via local osc commands.
  + make obsinfo parameter for tar service optional
  + support filtering on creation of cpio archives
  + - add debian provides
  + - make cleaning message a debug message
  + report error when specified revision got not found
  + add snapcraft.yaml support
  + merge upstream
  + minor cleanup
  + fix typo, wrong file name of new snapcraft.yaml
  + fix some more merge regressions
  + pep8 fixes/workarounds
  + make yaml dependency optional for travis
* Fri Jul  1 2016 adrian@suse.de
- added snapcraft support via own service
* Wed Jun 29 2016 adrian@suse.de
- Update to version 0.6.0~pre.1467126663.ec976d1:
  * Allow to manually specify a base for @TAG_OFFSET@
  * - make cleaning message a debug message
  * Honour "subdir" param for changesgenerate
  * report error when specified revision got not found
  * Extend fixture to create commits with a specific timestamp
  * Use commit timestamp as mtime for files and directories in tarball
  * Workaround bug in Mercurial localdate filter
  * fix breakage from conflict of #63 and #85
  * Provide test for git tag fetching
  * Add ability to generate changes file when using svn
  * add snapcraft.yaml support
* Tue Apr 26 2016 adrian@suse.de
- Update to version 0.6.0~pre.1461678268.e8b5d73:
  * fix TESTING.md link in CONTRIBUTING.md
  * Use correct level 2 bullet point (*)
  * very first obs_scm implementation
  * allow extracting of (spec) files
  * allow to include local changes when using "obs_scm" service via local osc commands.
  * make obsinfo parameter for tar service optional
  * support filtering on creation of cpio archives
  * - add debian provides
* Tue Apr 26 2016 adrian@suse.de
- add debian provides
* Fri Apr 15 2016 adrian@suse.de
- fix dependency on SLE 11 to python-argparse
* Mon Apr 11 2016 mpluskal@suse.com
- Correctly reference patch in previous entry
* Mon Apr 11 2016 adrian@suse.de
- Update to version 0.6.0~pre.1460377105.35a4ea4:
  * support filtering on creation of cpio archives
* Fri Apr  8 2016 adrian@suse.de
- Update to version 0.6.0~pre.1460098798.dda5411:
  + make obsinfo parameter for tar service optional
* Thu Apr  7 2016 adrian@suse.de
- Update to version 0.6.0.1460017418.4e4b2d6:
  + Correct error message about lack of git tags
  + GNUmakefile: Use default python in $PATH unless it is a python 3.
  + fix TESTING.md link in CONTRIBUTING.md
  + Use correct level 2 bullet point (*)
  + very first obs_scm implementation
  + allow extracting of (spec) files
  + allow to include local changes when using "obs_scm" service via local osc commands.
- building this pre-version currently from private branch
  as discussed with Adam
* Wed Jul  8 2015 bwiedemann@suse.com
- only require git-core to not pull in git-web and gitk
* Wed Jun 24 2015 hib@hiberis.nl
- Fix build on Ubuntu by disabling mercurial tests
  * 0001-Debianization-disable-running-mercurial-tests.patch
* Mon Jun 22 2015 hib@hiberis.nl
- Update to version 0.5.3.1434983686.0b4ce51:
  + Add missing extension parameter to service file
  + Fix build on Debian 7.0/8.0
* Mon Jun  1 2015 aspiers@suse.com
- Update to version 0.5.3.1433158390.b0e72e1:
  + use the same Python interpreter for testing tar_scm
  + Split up the steps of git cloning and submodule initialization
  + fix Makefile test runner for Debian
* Wed May 27 2015 aspiers@suse.com
- Update to version 0.5.2.1432717816.cff60cf:
  + be explicit about python2, python may be python3
  + Fix newline at the end of @PARENT_TAG@
  + Fix Mercurial version format strings in unittest
  + Refactoring of package metadata regex matching
  + Refactor resetting of uid/gid so that it is reusable
  + Fix handling of --include option
  + Fix handling of --exclude option
  + Refactor subdir handling of tarchecker's to prevent code duplication
  + ignore PEP8's E731 check for lambdas
  + PEP8 E402 fix: set PYTHONPATH outside code
  + add @TAG_OFFSET@ support in versionformat for git
  + fix inconsistencies in tar_scm.service
  + - fix .service file syntax (OBS 2.6.1 is checking now)
  + mention need to set PYTHONPATH when running tests
  + keep STDERR separate
  + don't allow --subdir to wander outside repo (bsc#927120, #71)
* Wed Mar 18 2015 adrian@suse.de
- Update to version 0.5.1.1426664483.de67b88:
  + be explicit about python2, python may be python3
  + Fix newline at the end of @PARENT_TAG@
  + Fix Mercurial version format strings in unittest
  + Refactoring of package metadata regex matching
  + Refactor resetting of uid/gid so that it is reusable
  + Fix handling of --include option
  + Fix handling of --exclude option
  + Refactor subdir handling of tarchecker's to prevent code duplication
  + ignore PEP8's E731 check for lambdas
  + PEP8 E402 fix: set PYTHONPATH outside code
  + add @TAG_OFFSET@ support in versionformat for git
  + fix inconsistencies in tar_scm.service
  + - fix .service file syntax (OBS 2.6.1 is checking now)
* Wed Oct  8 2014 aspiers@suse.com
- Update to version 0.5.0.1412769870.6cda976:
  + change default git versionformat to %%ct.%%h
  + fix changes generation when version is blank
  + lots of refactoring
  + add info and caveats about data persisting between tests
  + gittests: give default author test a unique name
* Sun Oct  5 2014 aspiers@suse.com
- Update to version 0.4.2.1412467141.df3329e.  Many changes,
  including:
  + Retrieve tags for a cached git repo
  + Add PEP8 checking everywhere
  + Significantly improved tests
  + Fixed checkout of a hg url that ends with a trailing slash
  + Fix Debian build dependencies for python
  + Change Debian package format to 3.0 (native)
  + Install into /usr on Debian
  + Honor submodules=disable as before (fixes #38)
  + Fix directory name of repository clone
  + Fix handling of symbolic links
  + Fix crash when changesrevision <param> is missing
  + Improved usage text
  + Store git and hg hashes in full
  + Fix crash during copy of _servicedata
  + Fix format of new changes to match old shell tar_scm
  + Fix bug when temp file is on a different filesystem
  + Fix change generation bug introduced by Python rewrite
  + Fix retrieval of email address from ~/.oscrc
  + Refactor changesgenerate code
* Tue Sep  9 2014 jblunck@infradead.org
- Update to version 0.4.0.1410288598.7f38281:
  + Python rewrite of tar_scm
  + Make pep8 happy (except for regex in tar_scm:299)
  + Address some feedback from pylint
  + make Python version PEP8-compliant
  + Let Travis execute pep8
  + Strip newline ('\n') characters from safe_run output in detect_version()
  + Make potentially long-running tasks print output in real-time
  + Improve efficiency of stdout handling in safe_run()
  + Release obs-service-tar_scm 0.4.0
* Wed Jul  9 2014 jblunck@infradead.org
- Update to version 0.3.2.1404723797.745a470:
  + Initial debianization
  + switch git submodule versions correctly
  + add some basic documentation to the tests
  + split off info into TESTING.md
  + add CONTRIBUTING.md
  + improve formatting
  + whitelist accepted chars in arguments.
  + Correct/update install information
  + Reverse changes lines again with tac
* Wed Dec 11 2013 speilicke@suse.com
- Update to version 0.3.2.1386694317.b85b342:
  + Fix adding to already existing _servicedata case
  + Don't reverse changes lines with 'tac'
  + Fix Python FutureWarning about comparison with None
  + Improve description of the versionformat parameter.
- Enable changes generation
* Tue Nov 19 2013 adrian@suse.de
- Bump version to 0.3.2
  * changes file generation support written by Sascha
* Wed Oct 30 2013 adrian@suse.de
- Bump version to 0.3.1
  * do not execute tar base file name
* Fri Aug  2 2013 aspiers@suse.com
- Bump version to 0.3.0 and include git timestamp / SHA1 in version.
- Update to latest git (9de0986):
  + add git submodule update test
  + extract submodule_path() method
  + allow git commands to run from cwd
  + rename opts to args
  + annotate cwd
  + ensure all scm invocations succeed when expected
  + record revisions per repository path
  + allow creation of git submodules
  + Fixtures.create_commits(): add repository path parameter
  + GitFixtures.create_repo(): add repository path parameter
  + fix hg tests when run in timezone east of UTC
  + add hint about running tests quicker
  + don't hardcode revision in helper method
  + quoting tweak
  + make test output more consistent
  + get line spacing right
  + Travis: also test with Python 2.6
  + tweak debugging for mv invocations
  + a bit more info on the test suite
  + leave temporary files behind on failure, for debugging
  + add some docstrings to a few of the more complex tests
  + make switching to a given git revision more robust
  + try to make test output a little easier to understand
  + improve README.md
  + switch README to markdown and add Travis build status icon
  + replace XML entities with dollar-curlies
  + Properly encode XML reserved entities (&,<,>)
  + add better revision description/documentation for git
  + We are still not allowed to have dashes inside version. Fix for mercurial.
  + allow-different-naming-schemes-for-resulting-tar-files
  + Fix breakage when LANG is not English (issue #8)
  + Make test.py executable
  + README: add information about the test suite
  + Don't rely on git error codes for "git describe", catch all
  + Better error handling for @PARENT_TAG@ expansion
  + the correct tag is 'param', 'parameter' won't work
  + Tell Travis where to find the tests
  + Cleanup testing tmp_dir afterwards
  + Add description for @PARENT_TAG@
  + Ignore .coverage
  + Move tests into sub-directory
  + Last change for some bonus points
  + Naa, typo
  + Update package database before installing dependencies
  + Add initial Travis-CI configuration
  + Add .gitignore file
  + Add test for @PARENT_TAG@
* Tue Dec  4 2012 saschpe@suse.de
- Pass --tags to "git describe" for @PARENT_TAG@
* Mon Dec  3 2012 saschpe@suse.de
- Disable testsuite on SLE_11_SP2 to fix build
* Mon Dec  3 2012 saschpe@suse.de
- Use upstream github repository and download via _service file
* Mon Dec  3 2012 saschpe@suse.de
- Add custom git versionformat extensions:
  + @PARENT_TAG@: Replaced by first tag that is reachable from the
    current commit (see 'git describe')
  Future custom additions could follow the @NAME@ scheme
* Thu Nov  1 2012 aspiers@suse.com
- Fix usage text for submodules option
* Mon Oct  1 2012 cthiel@suse.com
- change default versionformat from author date (%%at) to commiter date (%%ct)
  for git, to fix issues with cherry-picked commits resulting in decreased
  version
* Mon Sep 24 2012 jslaby@suse.com
- add --date=short to get_vesion of git and remove '-' chars
  by sed. This allows us to use %%ad as versionformat and
  have something like "20120916" as version instead of
  terrible Unix timestamps.
* Fri Jul 27 2012 aspiers@suse.com
- Prevent local users from appearing as user/group owner in
  generated tar files (thanks bmwiedemann for this)
* Tue Jul  3 2012 adrian@suse.de
- fix option for submodule update
* Sat Jun 30 2012 magist3r@gmail.com
- Fixed error with cache
* Sat Jun 30 2012 magist3r@gmail.com
- Added an option to disable git submodules
- Replaced --exclude=.$MYSCM with --exclude-vcs tar option
* Thu Jun 28 2012 magist3r@gmail.com
- Added support for git submodules
* Tue Jun  5 2012 saschpe@suse.de
- Re-iterating the last change once again, 'git rev-parse --verify $REV'
  will return false even if $REV is a normal branch upon first clone
  of the repo. Thus 'git fetch $URL +$REV:$REV" is run initially.
  However, the 'git checkout $REV' then fails because it's missing
  tracking information. Therefore, try a normal checkout first and fetch
  the specific $REV only when that fails (due to reasons described below).
* Thu May 24 2012 rohan.mcgovern@nokia.com
- Allow git revision to refer to revisions not available from a
  default clone/fetch (i.e. refs other than refs/heads/* or
  refs/tags/*)
* Mon Mar 19 2012 aspiers@suse.com
- Check that git pull succeeds
* Wed Feb 29 2012 aspiers@suse.com
- Remove accidental reference to keep-source parameter
  which was never pushed upstream (obsoleted by new cache).
* Thu Feb 16 2012 aspiers@suse.com
- When the cache is used, output location of repo in the cache
* Tue Feb 14 2012 aspiers@suse.com
- add new 'versionformat' option to determine how version is
  extracted via git show --pretty=...
- support caching of cloned repositories to speed up fetch
  from upstream
* Mon Feb 13 2012 aspiers@suse.com
- Add test suite
- Fix --subdir with --scm svn
- Fix --scm bzr
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Jan 24 2012 rschiele@gmail.com
- add new option to specify a subset of files/subdirectories to
  pack in the tar ball
* Tue Jan 24 2012 rschiele@gmail.com
- Checking out a specific revision cannot work when only the latest
  version is cloned.
* Thu Dec 29 2011 gollub@b1-systems.de
- make svn checkout --trust-server-cert option conditional, since
  this option is not supported by versions prior to subversion 1.6.
* Thu Dec 29 2011 gollub@b1-systems.de
- Trim user prefix from tarball filename.
  This enables tar_scm service to be used with git and ssh transport
  (in conjuction with a passphrase less ssh-pubkey). Example Git URL:
  git@gitrepo.tld:foobar.git
* Thu Dec 29 2011 gollub@b1-systems.de
- git 1.6.x and very likely other version only support
  "show --pretty=format:%%at" as parameter with "format:" prefix.
  git show --pretty=%%at is also support by recent git versions.
* Mon Aug 29 2011 adrian@suse.de
- make it possible to create tar balls without version tag (#714542)
* Fri Aug 26 2011 adrian@suse.de
- support old tar bar lookup also for OBS 2.3 bs_service using .old/ directory
* Fri Aug 26 2011 adrian@suse.de
- drop broken code for same-commit-detection as suggested by Markus
* Thu Aug 25 2011 markus.lehtonen@linux.intel.com
- history-depth parameter: use hackish depth=999999999 if "full" is
  given so that a shallow clone will be fully deepened if the
  _service file is changed. Also, fix git clone cmd line (remove
  a pair of quotes that cause problems).
* Thu Aug 25 2011 adrian@suse.de
- add support for (git) checkout depth, original patch by
  Markus Lehtonen <markus.lehtonen@linux.intel.com>
* Wed Aug 17 2011 adrian@suse.de
- make packaging of meta data optional to reduce tar ball size
* Fri Aug 12 2011 adrian@suse.de
- fix exclude expansion
* Mon Jun 20 2011 cthiel@novell.com
- add support for bzr
* Tue Mar 22 2011 ammler@openttdcoop.org
- Fix: recompressed tars were never reused
- cleanup mercurial commands
* Tue Feb  8 2011 adrian@suse.de
- always trust svn server certificate. We don't have a secure handling
  for it anyway. Trust needs to established via extra service.
* Wed Jan 12 2011 adrian@suse.de
- fix subdir usage for git
* Thu Dec 30 2010 adrian@suse.de
- add option exclude files/directories when creating the tar ball
- git clone runs now with --depth 1 option
* Wed Dec  8 2010 wr@rosenauer.org
- support mercurial repositories
* Wed Oct 20 2010 reddwarf@opensuse.org
- Fix --filename parameter use
* Fri Sep  3 2010 adrian@suse.de
- initial version to checkout/update svn or git repos and create a tar
